Skip to main content
POST
/
api
/
public
/
v1
/
studies
/
{studyId}
/
launch
Launch a draft and return the self-recruit link
curl --request POST \
  --url https://listenlabs.ai/api/public/v1/studies/{studyId}/launch \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://listenlabs.ai/api/public/v1/studies/{studyId}/launch"

payload = { "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({walletId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://listenlabs.ai/api/public/v1/studies/{studyId}/launch', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "linkId": "<string>", "selfRecruitLink": "<string>", "status": "live", "wallet": { "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "recruitmentCreditBalance": { "balance": 123, "usage": 123, "limit": 123 }, "projectCreditBalance": { "balance": 123, "usage": 123, "limit": 123 } } }

Authorizations

x-api-key
string
header
required

Path Parameters

studyId
string<uuid>
required

Body

application/json

Optional body; it can only be omitted when the organization has exactly one wallet (auto-selected). With more than one wallet, omitting it returns a 400 (wallet_required).

walletId
string<uuid>

Wallet to bill this study from; must be granted to the API key's organization (see GET /api/public/v1/wallets). Can only be omitted when the organization has exactly one wallet, which is then auto-selected; with more than one wallet, omitting it returns a 400 (wallet_required).

Response

Launched

id
string<uuid>
required
status
enum<string>
required
Available options:
live
wallet
object

The wallet this launch is billed to. Omitted when no wallet is bound (organization without wallet billing).